For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Şablonu Günceller

Şablonu günceller.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
IDinteger · int32Required
Namestring · min: 1Required
IsActivebooleanRequired
IsDefaultbooleanRequired
Base64Stringstring · nullableOptional
Responses
200

Şablonu günceller.

application/json
booleanOptional
put/Templates
PUT /einvoice/Templates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 77

{
  "ID": 1,
  "Name": "text",
  "IsActive": true,
  "IsDefault": true,
  "Base64String": "text"
}
true
var options = new RestClientOptions("//einsurance/Templates")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""ID"": ""<integer>""," + "\n" +
@"  ""IsActive"": ""<boolean>""," + "\n" +
@"  ""IsDefault"": ""<boolean>""," + "\n" +
@"  ""Name"": ""<string>""," + "\n" +
@"  ""Base64String"": ""<string>""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Templates',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ID": "<integer>",
  "IsActive": "<boolean>",
  "IsDefault": "<boolean>",
  "Name": "<string>",
  "Base64String": "<string>"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated